A-A+

LNMP – Warning: require(): open_basedir restriction in effect错误解决方法

2017年11月30日 Lnmp 暂无评论 阅读 123 次

 

 

出现此类问题一般为open_basedir的问题(open_basedir的值来设置限制访问的目录或删除来移除防跨目录的设置。)

 

 

 

方法一

删除user.ini

去权后删除即可

此方法限制于当前的站点解决

php.ini的说明:https://lnmp.org/faq/lnmp-vhost-add-howto.html#user.ini

 

 

方法二

编辑

 

删除或注释掉这一行(*注释的话前面加“#”号即可)

 

此方法限制于所有的LNMP站点解决

 

 

方法三

编辑user.ini

改为

然后

最后重启PHP或者Nginx

重启PHP

重启Nginx

 

 

给我留言